DEBCONF-APT-PROGRESS.PT.1(1)

NOME
debconf-apt-progress - instala pacotes usando o debconf para mostrar uma barra de progresso

SINOPSE
 debconf-apt-progress [--] comando [argumentos ...]
 debconf-apt-progress --config
 debconf-apt-progress --start
 debconf-apt-progress --from waypoint --to waypoint [--] comando [argumentos ...]
 debconf-apt-progress --stop

DESCRIÇÃO
debconf-apt-progress instala pacotes usando o debconf para mostrar uma barra de progresso. O comando fornecido deve ser qualquer frontend do apt de linha de comandos; especificamente, deve enviar informação do processo para o descritor de ficheiro seleccionado pela opção de configuração "APT::Status-Fd", e deve manter os descritores de ficheiro nomeados pela opção de configuração "APT::Keep-Fds" abertos quando invoca o debconf (directamente ou indirectamente), porque esses descritores de ficheiro irão ser usados para o protocolo de passagem do debconf.

Os argumentos para o comando que você forneça devem geralmente incluir -y (para o apt-get ou aptitude) ou semelhante para evitar que o frontend do apt pare a aguardar entradas. debconf-apt-progress não pode fazer isto por si próprio porque o argumento apropriado pode diferir entre frontends do apt.

As opções --start, --stop, --from, e --to podem ser usadas para criar uma barra de progresso com múltiplos segmentos para os diferentes estágios de instalação, desde de que quem chama seja um confmodule debconf. O chamador também pode interagir com a barra de progresso usando o protocolo debconf se o desejar.

O debconf tranca a sua base de dados de configuração quando arranca, o que infelizmente torna inconveniente ter uma instância do debconf a mostrar a barra de progresso e outra a passar as perguntas do pacote que está a ser instalado. Se você está a usar uma barra de progresso de múltiplos segmentos, você tem que avaliar a saída da opção --config antes de arrancar o frontend do debconf para contornar isto. Veja "EXEMPLOS" in os EXEMPLOS na secção em baixo.

OPÇÕES

--config
    Escreve as variáveis de ambiente necessárias para iniciar um frontend de barra de progresso.

--start
    Inicia uma barra de progresso, correndo por predefinição de 0 a 100. Use --from and --to para usar outros pontos de finalização.

--from waypoint
    Se usado com --start, faz com que a barra de progresso comece em waypoint em vez de 0.

    Caso contrário, instala os pacotes com a sua barra de progresso começando neste "waypoint". Tem de ser usado com --to.

--to waypoint
    Se usado com --start, faz com que a barra de progresso terminar em waypoint em vez de 100.

    Caso contrário, instala os pacotes com a sua barra de progresso terminando neste "waypoint". Tem de ser usado com --from.

--stop
    Pára uma barra de progresso em execução.

--no-progress
    Evita o arranque, paragem e passos da barra de progressos. As mensagens de progresso do apt, eventos de alteração de media, e perguntas do debconf serão mesmo assim passadas através do debconf.

--dlwaypoint percentage
    Especifica qual a percentagem da barra de progresso é usada para download de pacotes. O restante será usado para a instalação dos pacotes. A predefinição que se usa é 15% para o download e os restantes 85% para a instalação.

--logfile file
    Envia a saída normal do apt para o ficheiro fornecido.

--logstderr
    Envia a saída normal do apt para o stderr. Se você não fornecer nem --logfile nem --logstderr, a saída normal do apt será descartada.

--  Termina as opções. Como você normalmente precisa de fornecer pelo menos o argumento -y ao comando que está a ser executado, normalmente irá precisar de usar -- para prevenir que isso seja interpretado como uma opção para o próprio debconf-apt-progress.

EXEMPLOS
Instala o ambiente de trabalho GNOME e um ambiente de desenvolvimento do sistema de janelas X dentro duma barra de progresso:

 debconf-apt-progress -- aptitude -y install gnome x-window-system-dev

Instala os ambientes GNOME, KDE e XFCE dentro duma única barra de progresso, alocando 45% da barra de progresso para cada GNOME e KDE e os restantes 10% para o XFCE:

 #! /bin/sh
 set -e
 case $1 in
   '')
     eval "$(debconf-apt-progress --config)"
     "$0" debconf
     ;;
   debconf)
     . /usr/share/debconf/confmodule
     debconf-apt-progress --start
     debconf-apt-progress --from 0 --to 45 -- apt-get -y install gnome
     debconf-apt-progress --from 45 --to 90 -- apt-get -y install kde
     debconf-apt-progress --from 90 --to 100 -- apt-get -y install xfce4
     debconf-apt-progress --stop
     ;;
 esac

CÓDIGO DE RETORNO
O código de saída do comando especificado é devolvido, a menos que o utilizador carregue no botão 'cancelar' na barra de progresso. Se o botão' cancelar' for carregado, é devolvido um valor de 30. Para evitar ambiguidade, se o comando devolver 30, é devolvido um valor de 3.

AUTORES
Colin Watson <cjwatson@debian.org>

Joey Hess <joeyh@debian.org>

TRADUÇÃO
Américo Monteiro <a_monteiro@netcabo.pt>, 2010, 2012

Por favor comunique quaisquer erros de tradução para a_monteiro@netcabo.pt, l10n@debianpt.org, ou submeta um relatório de bug contra o pacote debconf.